function jtrim(s)
{
var i,b=0,e=s.length;
for(i=0;i<s.length;i++) if(s.charAt(i)!=' '){b=i;break;}
if(i==s.length) return "";
for(i=s.length-1;i>b;i--) if(s.charAt(i)!=' '){e=i;break;}
return s.substring(b,e+1);
}